hdirs= ../Lsystem ../GL_Lsystem ../wxGLCanvases ../Extras ../thinair ../App

.PHONY : clean all

all            : LsysGLCanvas.o AnimateGLCanvas.o

LsysGLCanvas.o : LsysGLCanvas.cpp  LsysGLCanvas.h ../Extras/vect3.h 
	g++ -c LsysGLCanvas.cpp ${CFLAGS} `wx-config --cflags` \
$(addprefix -I,$(hdirs))

AnimateGLCanvas.o : AnimateGLCanvas.cpp  AnimateGLCanvas.h ../Extras/vect3.h
	g++ -c AnimateGLCanvas.cpp ${CFLAGS} `wx-config --cflags` \
$(addprefix -I,$(hdirs))

clean          :
	rm LsysGLCanvas.o AnimateGLCanvas.o

 
